Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041297
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-07-05 12:482019-08-22 14:44
ReporterpsanjuanView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revisionb08b4a605678
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041297: Not possible to recalculate an amortization

DescriptionNot possible to recalculate an amortization, unless not process Asset Amortization lines are manually removed by the user.
Steps To ReproduceIn Livebuils go to Assets window
Create a new asset there with below setup:
Organization - F&B EspaƱa
Search Key - Test Asset
Name - Test Asset
Asset Category - Otros

Check "Depreciate" flag.
Select Depreciation Type = Linear
Calculate Type = Time
Amortize = Monthly
usable life-months = 2
Depreciation Amt = 10000
Depreciation Start Date = Purchase Date = current date

Run amortization by clicking on Create Amortization.

Go back to the header and change usable life months to 3

Run amortization by clicking on Create Amortization.

Vefify an error is shown saying that the asset is fully depreciated. See image attached. This is not correct.

Now delete all the lines and run recalculate Amortization process. The process works.



Proposed SolutionIt should not be required that the user manually deletes the amortization lines do not processed to recalculate an amortization rf finish it by entering a Depreciation End Date.
TagsNo tags attached.
Attached Filesjpg file icon issue _41297.jpg [^] (63,005 bytes) 2019-07-05 12:54

- Relationships Relation Graph ] Dependency Graph ]
causes defect 0044996 closedinigo_lerga Error in the Recalculate Amortization process 

-  Notes
(0113335)
hgbot (developer)
2019-07-12 14:33

Repository: erp/devel/pi
Changeset: b08b4a60567827416c8c769270a3a5f6f22b62ad
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Jul 10 14:07:04 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b08b4a60567827416c8c769270a3a5f6f22b62ad [^]

Fixes Issue 41297:Not possible to recalculate an amortization

When recalcuting the amortization for an asset, remove its
already created unprocessed amortization and its lines.

---
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
---
(0113336)
Sandrahuguet (developer)
2019-07-12 14:34

code review + testing ok
(0114145)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-05 12:48 psanjuan New Issue
2019-07-05 12:48 psanjuan Assigned To => Triage Finance
2019-07-05 12:48 psanjuan Modules => Core
2019-07-05 12:48 psanjuan Triggers an Emergency Pack => No
2019-07-05 12:54 psanjuan Steps to Reproduce Updated View Revisions
2019-07-05 12:54 psanjuan Proposed Solution updated
2019-07-05 12:54 psanjuan File Added: issue _41297.jpg
2019-07-05 14:43 psanjuan Steps to Reproduce Updated View Revisions
2019-07-05 14:43 psanjuan Proposed Solution updated
2019-07-09 12:40 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-07-09 13:09 AtulOpenbravo Status new => scheduled
2019-07-12 14:33 hgbot Checkin
2019-07-12 14:33 hgbot Note Added: 0113335
2019-07-12 14:33 hgbot Status scheduled => resolved
2019-07-12 14:33 hgbot Resolution open => fixed
2019-07-12 14:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b08b4a60567827416c8c769270a3a5f6f22b62ad [^]
2019-07-12 14:34 Sandrahuguet Review Assigned To => Sandrahuguet
2019-07-12 14:34 Sandrahuguet Note Added: 0113336
2019-07-12 14:34 Sandrahuguet Status resolved => closed
2019-07-12 14:34 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114145
2020-09-07 16:59 rafaroda Relationship added causes 0044996


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker